Subject: Re: bug#17168: 24.3.50; Segfault at mark_object

From: martin rudalics <[email-masked]>
Date: Mon, 07 Apr 2014 09:49:41 +0200

> The only viable equally simple approach is simply
 > removing pure storage, and if pure storage works (it amounts to a
 > primitive kind of generational GC), we might as well keep it.

I did not look into the order GC scans its roots so maybe this is a
silly request and you'd better disregard it.  Nevertheless here it is:

(1) Would it be possible to tell how many objects get marked exclusively
     by marking from pure storage?

(2) Would it be possible to tell how many objects get marked exclusively
     by marking from ambiguous roots, that is, due to using conservative
     collection?

Obviously, either (1) or (2) would be incorrect wrt the other, that is,
if an object gets marked from the stack and has been already marked from
pure storage that object would be counted under (1).  Still I think that
figures we'd get here could be useful.

martin